## libsepol-1.14.tar.bz2

=== src/Makefile ===
# Installation directories.
PREFIX ?= /usr
INCDIR ?= $(PREFIX)/include
LIBDIR ?= $(PREFIX)/lib
SHLIBDIR ?= $(DESTDIR)/lib

VERSION = $(shell cat ../VERSION)
LIBVERSION = 1

LIBA=libsepol.a 
TARGET=libsepol.so
LIBPC=libsepol.pc
LIBSO=$(TARGET).$(LIBVERSION)
OBJS= $(patsubst %.c,%.o,$(wildcard *.c))
LOBJS= $(patsubst %.c,%.lo,$(wildcard *.c))
CFLAGS ?= -Wall -W -Wundef -Wmissing-noreturn -Wmissing-format-attribute
override CFLAGS += -I. -I../include -D_GNU_SOURCE

all: $(LIBA) $(LIBSO) $(LIBPC)

$(LIBA):  $(OBJS)
	$(AR) rcs $@ $^
	ranlib $@

$(LIBSO): $(LOBJS)
	$(CC) $(LDFLAGS) -shared -o $@ $^ -Wl,-soname,$(LIBSO),--version-script=libsepol.map,-z,defs
	ln -sf $@ $(TARGET) 

$(LIBPC): $(LIBPC).in
	sed -e 's/@VERSION@/$(VERSION)/; s:@prefix@:$(PREFIX):; s:@libdir@:$(LIBDIR):; s:@includedir@:$(INCDIR):' < $< > $@

%.o:  %.c 
	$(CC) $(CFLAGS) -fPIC -c -o $@ $<

%.lo:  %.c
	$(CC) $(CFLAGS) -fPIC -DSHARED -c -o $@ $<

install: all
	test -d $(DESTDIR)$(LIBDIR) || install -m 755 -d $(DESTDIR)$(LIBDIR)
	install -m 644 $(LIBA) $(DESTDIR)$(LIBDIR)
	test -d $(DESTDIR)$(LIBDIR)/pkgconfig || install -m 755 -d $(DESTDIR)$(LIBDIR)/pkgconfig
	install -m 644 $(LIBPC) $(DESTDIR)$(LIBDIR)/pkgconfig
	test -d $(SHLIBDIR) || install -m 755 -d $(SHLIBDIR)
	install -m 755 $(LIBSO) $(SHLIBDIR)
	cd $(DESTDIR)$(LIBDIR) && ln -sf ../../`basename $(SHLIBDIR)`/$(LIBSO) $(TARGET)

relabel:
	/sbin/restorecon $(SHLIBDIR)/$(LIBSO)

clean: 
	-rm -f $(OBJS) $(LOBJS) $(LIBA) $(LIBSO) $(TARGET) $(LIBPC)

indent:
	../../Lindent $(wildcard *.[ch])

=== debian/changelog ===
libsepol (1.14-3) unstable; urgency=low

  * This fix is in reference to Bug#408278. In the postinst, we now use
    telinit u, instead of plain old init u, if telinit is available.
    Using init directly is bad form, according to sysvinit maintainer.
  * Make the dev package depend on the exact ${binary:Version}, not the
    ${Source-Version}, which should make this package friendlier to
    binNMUs. 

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 26 Feb 2007 10:09:10 -0600

libsepol (1.14-2) unstable; urgency=high

  * Compile with -fPIC instead of -fpic. This fixes a FTBS for rpm on
    sparc. 

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 15 Nov 2006 01:31:58 -0600

libsepol (1.14-1) unstable; urgency=low

  * New upstream release
    * Build libsepol's static object files with -fpic
    * Updated version for release.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 20 Oct 2006 11:50:47 -0500

libsepol (1.12.26-2) unstable; urgency=low

  * Bump the shlibs version. Mea culpa. I had missed the fact that the
    included range_transition enhancements and user module format changes
    may make packages, even if they compile fine, misbehave subtly.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 11 Sep 2006 15:31:46 -0500

libsepol (1.12.26-1) unstable; urgency=low

  * New upstream point release
  * Merged conditionally expand neverallows patch from Jeremy Mowery.
  * Merged refactor expander patch from Jeremy Mowery.
  * Merged range transition enhancements and user format changes Darrel
    Goeddel 
  * Provide md5sums

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  6 Sep 2006 16:24:16 -0500

libsepol (1.12.24-1) unstable; urgency=low

  * New upstream point release
    * Merged libsepol unit tests from Joshua Brindle.
    * Merged symtab datum patch from Karl MacMillan.
    * Merged netfilter contexts support from Chris PeBenito.
    * Merged helpful hierarchy check errors patch from Joshua Brindle.
    * Merged semodule_deps patch from Karl MacMillan.
      This adds source module names to the avrule decls.
  * Bug fix: "libsepol1: Should run "telinit u" in postinst
    script", thanks to Piotr Kaczuba                            (Closes: #382020).

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  9 Aug 2006 11:48:50 -0500

libsepol (1.12.19-1) unstable; urgency=low

  * New upstream point release
    * Lindent.
    * Merged optionals in base take 2 patch set from Joshua Brindle.
    * Merged fixes for several memory leaks in the error paths during
      policy read from Serge Hallyn.
    * Fixed bool_ids overflow bug in cond_node_find and cond_copy_list,
      based on bug report and suggested fix by Cedric Roux.
    * Merged sens_copy_callback, check_role_hierarchy_callback,
      and node_from_record fixes from Serge Hallyn.
    * Added sepol_policydb_compat_net() interface for testing whether
      a policy requires the compatibility support for network checks
      to be enabled in the kernel.
    * Merged patch to initialize sym_val_to_name arrays from Kevin Carr.
      Reworked to use calloc in the first place, and converted some other
      malloc/memset pairs to calloc calls.
    * Merged patch to revert role/user decl upgrade from Karl MacMillan.
    * Dropped tests from all Makefile target.
    * Merged fix warnings patch from Karl MacMillan.
    * Merged libsepol test framework patch from Karl MacMillan.
    * Fixed cond_normalize to traverse the entire cond list at link time.
    * Merged fix for leak of optional package sections from Ivan Gyurdiev.
    * Generalize test for bitmap overflow in ebitmap_set_bit.
    * Fixed attr_convert_callback and expand_convert_type_set
      typemap bug.
    * Fixed avrule_block_write num_decls endian bug.
    * Fixed sepol_module_package_write buffer overflow bug.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 19 Jul 2006 16:35:56 -0500

libsepol (1.12-1) unstable; urgency=low

  * New upstream release
    * Updated version for release.
    * Merged cond_evaluate_expr fix from Serge Hallyn (IBM).
    * Fixed bug in copy_avrule_list reported by Ivan Gyurdiev.
    * Merged sepol_policydb_mls_enabled interface and error handling
      changes from Ivan Gyurdiev.
    * Merged node_expand_addr bugfix and node_compare* change from
      Ivan Gyurdiev.
    * Merged nodes, ports: always prepend patch from Ivan Gyurdiev.
    * Merged bug fix patch from Ivan Gyurdiev.
    * Added a defined flag to level_datum_t for use by checkpolicy.
    * Merged nodecon support patch from Ivan Gyurdiev.
    * Merged cleanups patch from Ivan Gyurdiev.	
    * Merged optionals in base patch from Joshua Brindle.
    * Merged seuser/user_extra support patch from Joshua Brindle.
    * Merged fix patch from Ivan Gyurdiev.
    * Merged clone record on set_con patch from Ivan Gyurdiev.	
    * Merged assertion copying bugfix from Joshua Brindle.
    * Merged sepol_av_to_string patch from Joshua Brindle.
    * Merged cond_expr mapping and package section count bug fixes
      from Joshua Brindle.
    * Merged improve port/fcontext API patch from Ivan Gyurdiev.	
    * Merged fixes for overflow bugs on 64-bit from Ivan Gyurdiev.
    * Merged size_t -> unsigned int patch from Ivan Gyurdiev.
    * Merged 2nd const in APIs patch from Ivan Gyurdiev.
    * Merged const in APIs patch from Ivan Gyurdiev.
    * Merged compare2 function patch from Ivan Gyurdiev.
    * Fixed hierarchy checker to only check allow rules.
    * Merged further fixes from Russell Coker, specifically:
      - av_to_string overflow checking
      - sepol_context_to_string error handling
      - hierarchy checking memory leak fixes and optimizations
      - avrule_block_read variable initialization
    * Marked deprecated code in genbools and genusers.
    * Merged bugfix for sepol_port_modify from Russell Coker.
    * Fixed bug in sepol_iface_modify error path noted by Ivan Gyurdiev.
    * Merged port ordering patch from Ivan Gyurdiev.
    * Merged patch series from Ivan Gyurdiev.


=== debian/control ===
Source: libsepol
Priority: optional
Section: libs
Maintainer: Manoj Srivastava <srivasta@debian.org>
Standards-Version: 3.7.2.0
Build-Depends: file

Package: sepol-utils
Section: admin
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: checkpolicy (<= 1.20)
Description: Security Enhanced Linux policy utility programs
 This package provides a utility for a Security-enhanced
 Linux system to rewrite existing mandatory access control policy with
 different boolean setting, generating a new policy. Security-enhanced
 Linux is a patch of the Linux kernel and a number of utilities with
 enhanced security functionality designed to add mandatory access
 controls to Linux. This package provides utility programs to get and
 set process and file security contexts and to obtain security policy
 decisions.


Package: libsepol1
Section: libs
Priority: required
Architecture: any
Depends: ${shlibs:Depends}
Description: Security Enhanced Linux policy library for changing policy binaries
 Security-enhanced Linux is a patch of the Linux kernel and a number
 of utilities with enhanced security functionality designed to add
 mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement®, Role-based Access
 Control, and Multi-level Security.
 .
 libsepol provides an API for the manipulation of SELinux binary policies.
 It is used by checkpolicy (the policy compiler) and similar tools, as well
 as by programs like load_policy that need to perform specific transformations
 on binary policies such as customizing policy boolean settings.

Package: libsepol1-dev
Section: libdevel
Architecture: any
Provides:  libsepol-dev
Conflicts: libsepol-dev
Depends: ${shlibs:Depends},  libsepol1 (= ${binary:Version})
Description: Security Enhanced Linux policy library and development files
 libsepol allows programs to easily modify SELinux policy binaries.  This
 means changing the default values for booleans, or reading the policy for
 analysis.
 .
 This package contains the headers and archives used for linking it into your
 programs.

=== debian/watch ===
# format version number, currently 2; this line is compulsory!
version=2



http://www.nsa.gov/selinux/code/download5.cfm ../archives/libsepol-(.*)\.tgz
